2017-01-31 23:04  

	* [r99] scripts/wt-mode.el, src/editor.hxx:
	  simple syntax highlighting

2017-01-31 19:54  

	* [r98] COPYING, ChangeLog, INSTALL, src/editor.hxx[ADD],
	  src/makefile.am, src/testgui.hxx, src/testgui.ui:
	  added CodeEditor with line numbering from Qt sample code

2017-01-31 17:32  

	* [r97] src/commands.hxx, src/webrunner.cxx:
	  better progress indicator

2017-01-30 15:09  

	* [r96] src/testgui.hxx, src/testgui.ui, src/webtester.cxx:
	  fixed window title and file modification dialog

2017-01-27 15:57  

	* [r95] src/testgui.hxx, src/testgui.ui:
	  url as combobox with completion

2017-01-24 14:17  

	* [r94] src/commands.hxx, src/testgui.hxx, src/testgui.ui:
	  show test result as check mark or cross

2017-01-20 10:58  

	* [r93] doc/footer.html.in[ADD], doc/header.html.in[ADD],
	  doc/plantuml.jar[ADD], doc/style.css[ADD],
	  makefile_test.inc.am[ADD]:
	  packager fixed - fix

2017-01-20 10:57  

	* [r92] ChangeLog, bootstrap.sh, build-in-docker.conf,
	  debian/changelog.in, doc/footer.html.in[DEL],
	  doc/header.html.in[DEL], doc/plantuml.jar[DEL],
	  doc/style.css[DEL], makefile_test.inc.am[DEL]:
	  packager fixed

2017-01-20 08:30  

	* [r91] COPYING, INSTALL, README, configure.ac, src/commands.hxx,
	  src/networkaccessmanager.hxx, src/testgui.hxx, src/webrunner.cxx:
	  new option for timeout, longer timeout in shell, new untested
	  command auth to set basic authentication credentials

2017-01-07 12:09  

	* [r90] ChangeLog, bootstrap.sh, build-in-docker.sh,
	  doc/footer.html.in[ADD], doc/header.html.in[ADD],
	  doc/plantuml.jar[ADD], doc/style.css[ADD],
	  makefile_test.inc.am[ADD]:
	  build fixed

2017-01-06 15:53  

	* [r89] COPYING, ChangeLog, INSTALL, ax_cxx_compile_stdcxx_11.m4,
	  ax_init_standard_project.m4, bootstrap.sh, build-in-docker.conf,
	  build-in-docker.sh, debian/control.in, resolve-debbuilddeps.sh,
	  resolve-rpmbuilddeps.sh, sql-to-dot.sed:
	  improved build, tested on wily and xenial

2017-01-05 14:25  

	* [r88] src/commands.hxx:
	  more improve expect load; better logging in case of exception

2017-01-04 15:54  

	* [r87] src/commands.hxx, src/testgui.hxx, src/testgui.ui:
	  improve expect load; fix views menu; improve function call error
	  display

2016-11-01 15:46  

	* [r86] ChangeLog, configure.ac, src/commands.hxx, src/testgui.hxx,
	  src/testgui.ui:
	  first version of a script run progress bar

2016-06-09 14:12  

	* [r85] src/commands.hxx:
	  jenkins junit interprets dots as subclasses, so remove the dots
	  in filenames

2016-06-09 12:41  

	* [r84] src/commands.hxx:
	  jenkins junit plugin gojne crazy: classname must not be a file
	  but either a directory or not exist - typo

2016-06-09 11:18  

	* [r83] src/commands.hxx:
	  jenkins junit plugin gojne crazy: classname must not be a file
	  but either a directory or not exist

2016-06-09 09:47  

	* [r82] configure.ac, src/commands.hxx:
	  no special characters in classname and name attributes, otherwise
	  jenkins cannot read the test output xml file

2016-06-09 08:17  

	* [r81] scripts/wt-mode.el, src/commands.hxx:
	  filter special ascii commands from output, otherwise jenkins
	  cannot read the test output xml file - keep new line

2016-06-09 08:09  

	* [r80] src/commands.hxx:
	  filter special ascii commands from output, otherwise jenkins
	  cannot read the test output xml file

2016-06-08 09:07  

	* [r79] ax_init_standard_project.m4, bootstrap.sh,
	  resolve-rpmbuilddeps.sh, scripts/90wt-mode.wt[ADD],
	  scripts/makefile.am, scripts/wt-mode.el[ADD], src/commands.hxx,
	  src/exceptions.hxx:
	  new commands: include, case and fail; new emacs wt-mode for
	  webtester files

2016-05-13 15:02  

	* [r78] bootstrap.sh, src/commands.hxx:
	  if can have a variable test or a content check

2016-05-11 09:07  

	* [r77] ChangeLog, src/testgui.hxx, src/webpage.hxx:
	  fix text-selection to exists feature; ignore javascript popups

2016-05-05 09:58  

	* [r76] build-in-docker.sh:
	  fixed build

2016-05-05 09:48  

	* [r75] build-in-docker.sh:
	  fixed build

2016-05-05 09:23  

	* [r74] debian/control.in:
	  xvfb is not required

2016-05-05 09:12  

	* [r73] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  build-in-docker.sh:
	  update build system

2016-05-03 06:52  

	* [r72] src/commands.hxx:
	  some smaller fixes and improvements for joomla testing

2016-05-02 15:25  

	* [r71] src/commands.hxx, src/testgui.hxx:
	  some smaller fixes and improvements for joomla testing

2016-05-02 11:02  

	* [r70] COPYING, ChangeLog, INSTALL, autogen.sh[ADD],
	  ax_init_standard_project.m4, bootstrap.sh, build-in-docker.conf,
	  build-in-docker.sh, mac-create-app-bundle.sh,
	  resolve-debbuilddeps.sh, resolve-rpmbuilddeps.sh,
	  src/commands.hxx, src/testgui.hxx, src/version.cxx,
	  src/version.hxx:
	  add new commane clear-cookies; select text on testgui sets an
	  expectation

2016-04-03 16:19  

	* [r69] configure.ac, debian/control.in:
	  after svn-server restore

2015-12-26 00:13  marc

	* [r68] COPYING, ChangeLog, INSTALL, ax_init_standard_project.m4,
	  bootstrap.sh, build-in-docker.conf[ADD], build-in-docker.sh,
	  resolve-debbuilddeps.sh, src/version.cxx, src/version.hxx:
	  fixed build-in-docker

2015-12-21 22:14  marc

	* [r67] sql-to-dot.sed[ADD], test/runtests.sh[ADD],
	  webtester.desktop.in[ADD]:
	  build in docker

2015-12-21 21:27  marc

	* [r66] ChangeLog, src/commands.hxx:
	  new command to set offline-storage-path

2015-11-16 12:37  marc

	* [r65] doc/doxyfile.in:
	  SVG must not be interactive for embedding in redmine

2015-11-09 22:33  marc

	* [r64] ChangeLog, bootstrap.sh, src/commands.hxx,
	  src/exceptions.hxx, src/webpage.hxx:
	  allow local storage; prevent crash if line is missing

2015-11-07 10:47  marc

	* [r63] bootstrap.sh, debian/control.in:
	  there is no qt4-default

2015-11-07 09:23  marc

	* [r62] bootstrap.sh:
	  there is no qt4-default

2015-11-04 11:59  marc

	* [r61] src/commands.hxx:
	  removed empty lines and comments from test results

2015-11-04 10:34  marc

	* [r60] bootstrap.sh, build-in-docker.sh[ADD], configure.ac,
	  debian/control.in, examples[DEL], resolve-debbuilddeps.sh,
	  webtester.spec.in[ADD]:
	  build in docker tested

2015-11-04 08:52  marc

	* [r59] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac, examples, examples/makefile.am[ADD], makefile.am,
	  test[CPY], test/makefile.am:
	  examples is test

2015-11-03 21:54  marc

	* [r58] debian/control.in:
	  updated dependencies

2015-11-03 14:30  marc

	* [r57] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, resolve-debbuilddeps.sh, src/commands.hxx,
	  src/testgui.hxx, src/testgui.ui:
	  prepared for build in a docker instance on jenkins

2015-11-02 08:00  marc

	* [r56] ChangeLog, debian/control.in:
	  test requires xvfb-run

2015-11-02 00:01  marc

	* [r55] AUTHORS, ChangeLog, bootstrap.sh, resolve-debbuilddeps.sh:
	  new author url

2015-10-11 19:45  marc

	* [r54] examples/test-commands.wt:
	  added test for multidimensional for loop

2015-10-11 15:28  marc

	* [r53] bootstrap.sh, examples/test-commands.wt, src/commands.hxx:
	  added test for multidimensional for loop

2015-10-10 18:05  marc

	* [r52] bootstrap.sh, doc/doxyfile.in:
	  no search index when embedded in redmine

2015-10-10 15:27  marc

	* [r51] examples/makefile.am:
	  added xvfb-run to run on headless systems

2015-10-10 15:00  marc

	* [r50] examples/SwissSign_Silver_CA_-_G2.pem[DEL],
	  examples/ca.pem[ADD], examples/client.key[ADD],
	  examples/client.pem[ADD], examples/makefile.am,
	  examples/test-commands.wt, src/commands.hxx:
	  new for loop successfull tested

2015-10-10 14:09  marc

	* [r49] ax_init_standard_project.m4, configure.ac, examples[ADD],
	  examples/SwissSign_Silver_CA_-_G2.pem[ADD],
	  examples/makefile.am[ADD], examples/test-commands.wt[ADD],
	  makefile.am, src/commands.hxx, src/webrunner.cxx:
	  includes example and test; new command echo

2015-10-10 10:48  marc

	* [r48] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, build-resource-file.sh[ADD],
	  mac-create-app-bundle.sh[ADD], resolve-debbuilddeps.sh[ADD],
	  resolve-rpmbuilddeps.sh[ADD], src/commands.hxx:
	  new feature: «for»-loop; updated buildsystem

2015-10-09 15:01  marc

	* [r47] src/commands.hxx, src/networkaccessmanager.hxx:
	  unfinished: new feature: for loop

2015-07-12 18:38  marc

	* [r46] debian/control.in:
	  requires qt5

2015-07-12 18:16  marc

	* [r45] debian/control.in:
	  requires qt5

2015-05-20 15:22  marc

	* [r44] src/commands.hxx:
	  some bugs fixed, logging is quite good now

2015-05-20 14:35  marc

	* [r43] src/commands.hxx:
	  fixed stupid error in Do::execute; nicer logging

2015-05-20 11:52  marc

	* [r42] src/commands.hxx, src/exceptions.hxx, src/testgui.hxx,
	  src/webrunner.cxx:
	  improved logging, bugfix in function handling

2015-05-19 14:34  marc

	* [r41] src/commands.hxx, src/testgui.hxx:
	  click has an optional clicktype; do has an optional selector;
	  better detection and handling of moo-tool (joomla3) elements

2015-05-11 12:13  marc

	* [r40] src/commands.hxx, src/exceptions.hxx:
	  new command check to compare two values or to compare a value to
	  the result of a command - command call now returns the value of
	  the last statement

2015-05-11 09:54  marc

	* [r39] ChangeLog, doc/makefile.amto[DEL], src/commands.hxx:
	  now also supports optional else after command if

2015-05-09 12:27  marc

	* [r38] ChangeLog, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, doc/makefile.amto[ADD], src/commands.hxx,
	  src/testgui.hxx, src/webrunner.cxx:
	  new commands testsuite and testcase

2015-05-08 15:34  marc

	* [r37] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  docker/Dockerfile, src/commands.hxx, src/exceptions.hxx,
	  src/testgui.hxx:
	  new feature: if tatement for conditions in functions

2015-05-06 23:09  marc

	* [r36] ChangeLog, bootstrap.sh, doc/doxyfile.in,
	  scripts/doxygen-webtester.sed, scripts/example.wt[DEL],
	  scripts/makefile.am:
	  better doxygen support

2015-05-06 16:56  marc

	* [r35] debian/control.in:
	  reprepo requires a section

2015-05-06 14:51  marc

	* [r34] ChangeLog, ax_init_standard_project.m4, bootstrap.sh,
	  configure.ac, makefile.am, scripts[ADD],
	  scripts/doxygen-webtester.sed[ADD], scripts/example.wt[ADD],
	  scripts/makefile.am[ADD]:
	  added doxygen-webtester.sed do generate doxygen from webtester
	  files

2015-05-06 07:56  marc

	* [r33] ChangeLog, debian/.dirs[DEL], debian/.install[DEL],
	  debian/webtester.dirs[DEL], debian/webtester.install[DEL]:
	  no need for install and dirs in debian

2015-05-05 20:31  marc

	* [r32] ax_init_standard_project.m4, bootstrap.sh, configure.ac,
	  debian, debian/.dirs[ADD], debian/.install[ADD],
	  debian/changelog.in[ADD], debian/compat[ADD],
	  debian/control.in[ADD], debian/docs[ADD], debian/rules[ADD],
	  debian/webtester.dirs[ADD], debian/webtester.install[ADD]:
	  some build environment updates

2015-05-05 15:06  marc

	* [r31] README, ax_check_qt.m4, ax_init_standard_project.m4,
	  bootstrap.sh, src/version.cxx, src/version.hxx,
	  src/webrunner.cxx:
	  massively improved build system

2015-05-05 08:30  marc

	* [r30] ChangeLog, README, ax_check_qt.m4[ADD],
	  ax_cxx_compile_stdcxx_11.m4[ADD],
	  ax_init_standard_project.m4[ADD], bootstrap.sh, configure.ac,
	  debian, debian/changelog.in[ADD], debian/compat[ADD],
	  debian/control.in[ADD], debian/docs[ADD], debian/rules[ADD],
	  debian/webtester.dirs[ADD], debian/webtester.install[ADD],
	  doc[ADD], doc/doxyfile.in[ADD], doc/makefile.am[ADD],
	  docker/Dockerfile, makefile.am, src/makefile.am, src/testgui.hxx,
	  src/version.cxx[ADD], src/version.hxx[ADD], src/web.ui[DEL],
	  src/webrunner.cxx:
	  new build system

2015-05-03 20:32  marc

	* [r29] src/commands.hxx, src/exceptions.hxx, src/testgui.hxx:
	  new feature: define and call functions using the two new commands
	  function and call

2015-04-30 14:25  marc

	* [r28] configure.ac, docker[ADD], docker/Dockerfile[ADD],
	  docker/runtests.sh[ADD], src/commands.hxx, src/testgui.hxx,
	  src/testgui.ui, src/webrunner.cxx, src/webtester.cxx:
	  More features: have a seperate setup script, where global
	  variable replacements can be placed, new commandline parameters,
	  command window, better recording, chose click type, ...

2015-04-24 14:39  marc

	* [r27] src/commands.hxx, src/exceptions.hxx,
	  src/networkaccessmanager.hxx, src/testgui.hxx, src/webtester.cxx:
	  some more improvements, new commands, new simpler ecpect load
	  command, certificate handling for self signed ca plus for client
	  authentication

2015-04-02 14:28  marc

	* [r26] src/networkaccessmanager.hxx:
	  more information in cae of network error

2015-04-02 09:42  marc

	* [r25] src/commands.hxx:
	  new command «certificate» to install CA certificate for SSL -
	  file needs to be open ...

2015-04-02 09:07  marc

	* [r24] src/commands.hxx:
	  new command «certificate» to install CA certificate for SSL -
	  need to register the new class ...

2015-04-02 08:25  marc

	* [r23] src/commands.hxx:
	  new command «certificate» to install CA certificate for SSL

2015-04-02 08:25  marc

	* [r22] src/commands.hxx:
	  new command «certificate» to install CA certificate for SSL

2015-04-02 07:45  marc

	* [r21] src/commands.hxx, src/exceptions.hxx, src/testgui.hxx:
	  new command «certificate» to install CA certificate for SSL

2015-03-04 15:31  marc

	* [r20] src/commands.hxx, src/testgui.ui:
	  added date/time to attachment file names, so the images are
	  sorted correctly

2015-02-27 15:39  marc

	* [r19] src/commands.hxx, src/testgui.hxx:
	  detect and handle Moo-Tools-Comboboxes

2015-02-24 08:54  marc

	* [r18] debian/control.in:
	  precise: QCommandLineParser: No such file or directory - minimum
	  requirement ist Qt 5.2

2015-02-24 08:48  marc

	* [r17] debian/control.in:
	  precise: QCommandLineParser: No such file or directory

2015-02-24 08:40  marc

	* [r16] debian/control.in:
	  Project ERROR: Unknown module(s) in QT: quick

2015-02-24 08:04  marc

	* [r15] debian/control.in:
	  Project ERROR: Unknown module(s) in QT: quick

2015-02-23 16:31  marc

	* [r14] debian/control.in:
	  qtchooser is sufficient

2015-02-23 16:27  marc

	* [r13] debian/control.in:
	  svn2cl not available in old distributions

2015-02-23 14:01  marc

	* [r12] configure.ac:
	  fix choosing qt

2015-02-23 13:40  marc

	* [r11] configure.ac, src/webtester.pro:
	  fix choosing qt

2015-02-23 13:00  marc

	* [r10] src/makefile.am:
	  makefile fixed

2015-02-23 12:52  marc

	* [r9] README:
	  README filled

2015-02-23 12:18  marc

	* [r8] configure.ac, debian/control.in, src/makefile.am:
	  qt detection

2015-02-16 09:19  marc

	* [r7] debian/control.in:
	  better definition of deb-dependencies

2015-02-06 15:50  marc

	* [r6] src/makefile.am:
	  make distcheck works

2015-02-06 15:00  marc

	* [r5] AUTHORS[ADD], COPYING[ADD], ChangeLog[ADD], INSTALL[ADD],
	  NEWS[ADD], README[ADD], bootstrap.sh[ADD], configure.ac[ADD],
	  debian[ADD], debian/changelog.in[ADD], debian/compat[ADD],
	  debian/control.in[ADD], debian/docs[ADD], debian/rules[ADD],
	  makefile.am[ADD], src/makefile[DEL], src/makefile.am[CPY]:
	  ready to build debian packages

2015-02-05 14:53  marc

	* [r4] src/makefile[ADD]:
	  1st makefile

2015-02-04 14:05  marc

	* [r3] src/webrunner.cxx:
	  successful build

2015-02-04 14:01  marc

	* [r2] src[ADD], src/commands.hxx[ADD], src/exceptions.hxx[ADD],
	  src/networkaccessmanager.hxx[ADD], src/testgui.hxx[ADD],
	  src/testgui.ui[ADD], src/web.ui[ADD], src/webpage.hxx[ADD],
	  src/webrunner.cxx[ADD], src/webtester.cxx[ADD],
	  src/webtester.pro[ADD]:
	  initial sources

2015-02-04 13:48  marc

	* [r1] .[ADD]:
	  initial

